const fieldsData = [
  {
    id: 'inputtext',
    title: 'Text Input',
    content: 'Add Input Text Field',
    label: 'Set Label',
    placeholder: 'Set Placeholder',
    required: false,
    fieldgroup: 'input',
    type: 'text',
    attributes: {
      maxLength: 255,
    },
  },
  {
    id: 'inputint',
    title: 'Number Input',
    content: 'Add Input Number Field',
    label: 'Set Label',
    placeholder: 'Set Placeholder',
    fieldgroup: 'input',
    required: false,
    type: 'number',
    attributes: {
      max: 999999,
      min: 0,
      step: 1,
    },
  },
  {
    id: 'textarea',
    title: 'Textarea Input',
    content: 'Add Textarea Field',
    label: 'Set Label',
    placeholder: 'Set Placeholder',
    fieldgroup: 'textarea',
    required: false,
    attributes: {
      maxLength: 255,
      rows: 10,
      cols: 255,
    },
  },
];

export default fieldsData;
