import chartIcon from '@plone/volto/icons/form.svg';

import FormEdit from './FormBlock/FormEdit';
import FormView from './FormBlock/FormView';

export default function applyConfig(config) {
  config.blocks.blocksConfig.form_block = {
    id: 'form_block',
    title: 'FormBlock',
    edit: FormEdit,
    view: FormView,
    icon: chartIcon,
    group: 'common',
    restricted: false,
    mostUsed: true,
    sidebarTab: 1,
    security: {
      addPermission: [],
      view: [],
    },
  };
  return config;
}
